Download it now!
Bug 111782 - Wrong rendering of image radiobutton on Split Cells dialog
Summary: Wrong rendering of image radiobutton on Split Cells dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.4 all versions
Hardware: All Windows (All)
: medium normal
Assignee: Gábor Koruhely
URL:
Whiteboard: target:6.0.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicUI
Depends on:
Blocks: Dialog Calc-Merge-Split
  Show dependency treegraph
 
Reported: 2017-08-14 01:06 UTC by Tamás Zolnai
Modified: 2017-11-23 19:55 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of current rendering of splitt cell dialog radio buttons (7.84 KB, image/png)
2017-08-14 01:08 UTC, Tamás Zolnai
Details
Screenshot of current rendering error bar sidebar panel's radio buttons (63.65 KB, image/png)
2017-08-14 01:09 UTC, Tamás Zolnai
Details
Screenshot of snap object insertion dialog (7.39 KB, image/png)
2017-08-14 04:51 UTC, Tamás Zolnai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2017-08-14 01:06:19 UTC
Description:
Rendering of the direction radio buttons on the Split Cells dialog has a small issue. The radio button icon is rendered in a rectangle, but the rectangle bottom border is not drawn. It looks a bit awkward on this was.

I checked an other radio buttons with image to check whether it's a general issue, but on error bar sidebar panel the rendering looks good.

I see it only on Windows, on Linux there is no border at all.

Steps to Reproduce:
1. Open Impress
2. Insert a table
3. Select a cell
4. Open Split cells dialog (context menu -> Cell -> Split Cells)

Actual Results:  
Radion buttons with image on the dialog rendered without a bottom border.

Expected Results:
These radio butto should be rendered correctly with having all four borders.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.90 Safari/537.36
Comment 1 Tamás Zolnai 2017-08-14 01:08:02 UTC
Created attachment 135528 [details]
Screenshot of current rendering of splitt cell dialog radio buttons
Comment 2 Tamás Zolnai 2017-08-14 01:09:49 UTC
Created attachment 135529 [details]
Screenshot of current rendering error bar sidebar panel's radio buttons
Comment 3 Tamás Zolnai 2017-08-14 04:51:59 UTC
Created attachment 135538 [details]
Screenshot of snap object insertion dialog

This dialog uses the same radio button type with images and have the same issue.
Comment 4 raal 2017-08-14 06:11:26 UTC
I can confirm with Version: 6.0.0.0.alpha0+
Build ID: b6e32d53ce9c98bfba517c40f53d40e97a091b0e
CPU threads: 4; OS: Windows 6.1; UI render: default; 
and Version: 4.4.0.0.alpha0+
Comment 5 Tamás Zolnai 2017-08-15 00:21:42 UTC
Let's turn this into a easy hack. The code is here:
vcl/source/control/button.cxx
Check the RadioButton class, it has some drawing methods.
Comment 6 Commit Notification 2017-11-23 19:39:55 UTC
G??bor Koruhely committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=788515f4ecc26275746e97f8f35cab87799797a6

tdf#111782: fix Wrong rendering of image radiobutton on Split Cells dialog

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.